/*******************************************************************************
 * @author    Patricie Benešová
 * @version   1.00.000
 */
import java.util.Scanner;

/**
 * Funkční rozhraní
 */
interface MujPorovnavac {

    public boolean porovnat(int a, int b);

}

public class Porovnavac
{
    /**
     * Metoda slouží k  přečtení vstupu do konzole
     */   
    public String prectiString() {
        Scanner scanner = new Scanner(System.in);
        System.out.print("> ");
        return scanner.nextLine();
    }

    public static void main(String[] args) {

        Porovnavac p = new Porovnavac();
        String priklad = p.prectiString();
        String [] cisla = priklad.split("[ \t]+");

        int a = Integer.parseInt(cisla[0]);
        int b = Integer.parseInt(cisla[1]);

        MujPorovnavac porovnavac = (x,y) -> x > y;
        boolean vysledek = porovnavac.porovnat(a, b);

        System.out.println(vysledek);

    }

}
